<template>
  <router-view />
</template>

<script setup>
import useSettingsStore from '@/store/modules/settings'
import { handleThemeStyle } from '@/utils/theme'

onMounted(() => {
  nextTick(() => {
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme)
  })
})
</script>

<style>
:root {
  --el-color-primary: #2D71FF;
  --el-color-primary-light-3: #46a6ff; /* 可选，调整不同亮度 */
  --el-color-primary-dark-2: #0e8afd; /* 可选 */
}
</style>
